<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Registro & Login</title>
</head>

<body>
    <h1>Registro</h1>
    <form name="registro" action="" method="GET">
        <label for="nombre">Ingrese Nombre </label>
        <input type="text" name="nombre" id="nombre" Required> <br><br>
        <label for="apellido">Ingrese Apellido </label>
        <input type="text" name="apellido" id="apellido" Required><br><br>
        <label for="email">Ingrese Email </label>
        <input type="text" name="email" id="email" Required><br><br>
        <label for="pais">Ingrese País </label>
        <input type="text" name="pais" id="pais" Required><br><br>
        <label for="contraseña">Ingrese Contraseña </label>
        <input type="text" name="contraseña" id="contraseña" Required><br><br>
        <label for="repitaContraseña">Repita Contraseña </label>
        <input type="text" name="repitaContraseña" id="repitaContraseña" Required><br><br>
        <input type="button" name="registro" id="registro" value="Registrar">
    </form>
    <h2>Login</h2>
    <form name="login" action="" method="GET">
        <label for="emailLogin">Ingrese Email</label>
        <input type="text" name="emailLogin" id="emailLogin" Required><br><br>
        <label for="contraseñaLogin">Ingrese Contraseña</label>
        <input type="text" name="contraseñaLogin" id="contraseñaLogin" Required><br><br>
        <input type="button" name="login" id="login" value="Login">
    </form>

    <script type="text/javascript">


        class Usuario {
            constructor(nombre, apellido, email, pais, contraseña) {
                this.nombre = nombre;
                this.apellido = apellido;
                this.email = email;
                this.pais = pais;
                this.contraseña = contraseña;

            }
            validarContraseña(contraseña, repiteContraseña) {
                if (contraseña === repiteContraseña) {
                    return (true);
                } else {
                    alert("Las contraseñas no coinciden, deben ser iguales.");
                    return (false);
                }

            }
            validarEmail(email, arrayUsuarios) {
                let emailValido = true;
                let i = 0;
                while (i < arrayUsuarios.length) {
                    if (arrayUsuarios[i].email === email) {
                        emailValido = false;
                        alert("El email ya existe");
                        return (emailValido)
                        break;
                    }
                    i++;
                }
                return (emailValido);

            }
            login(email, arrayUsuarios, contraseña) {
                let i = 0;
                while (i < arrayUsuarios.length) {
                    if (arrayUsuarios[i].email === email) {
                        if (arrayUsuarios[i].contraseña === contraseña) {
                            return (console.log('La posicion del array es:', i));
                            
                        }else{
                            return(alert("La Contraseña no coincide"));
                            
                        }
                    }
                    i++;
                }
                return (alert("El Email No coincide"));


            }



        }


        var arrayUsuarios = [];
        let btnRegistro = document.getElementById("registro");
        let btnLogin = document.getElementById("login");

        btnRegistro.addEventListener('click', function () {
            let usuario = new Usuario();


            let nombre = document.getElementById("nombre").value;
            let apellido = document.getElementById("apellido").value;
            let email = document.getElementById("email").value;
            let pais = document.getElementById("pais").value;
            let contraseña = document.getElementById("contraseña").value;
            let repiteContraseña = document.getElementById("repitaContraseña").value;
            let contraseñaValida;
            let emailValido;

            //Validacion de Contraseña y Email
            contraseñaValida = usuario.validarContraseña(contraseña, repiteContraseña);
            emailValido = usuario.validarEmail(email, arrayUsuarios);

            if (contraseñaValida === true && emailValido === true) {
                usuario = new Usuario(nombre, apellido, email, pais, contraseña);
                arrayUsuarios.push(usuario);
            }

            //Validacion LOGIN Email y Contraseña 
            btnLogin.addEventListener('click', function () {
                let emailLogin = document.getElementById("emailLogin").value;
                let contraseñaLogin = document.getElementById("contraseñaLogin").value;
                usuario.login(emailLogin, arrayUsuarios, contraseñaLogin);

            }
            )



















        }
        );


    </script>

</body>

</html>